Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.tiles
Class StrutsTilesContainerFactory

    java.lang.Object
      org.apache.tiles.factory.AbstractTilesContainerFactory
          org.apache.tiles.factory.BasicTilesContainerFactory
              org.apache.struts2.tiles.StrutsTilesContainerFactory

    public class StrutsTilesContainerFactory

extends org.apache.tiles.factory.BasicTilesContainerFactory

Dedicated Struts factory to build Tiles container with support for: - Freemarker - I18N using Struts resource bundles - S2 ro access Struts' ValueStack - OGNL - EL If you need additional features create your own listener and factory, you can base on code from Tiles' CompleteAutoloadTilesContainerFactory

Field Summary
`static String` | `EL`
`static String` | `FREEMARKER_RENDERER_NAME` The freemarker renderer name.
`static String` | `I18N`
`static String` | `OGNL` Supported expression languages
`static String` | `PATTERN_REGEXP`
`static String` | `PATTERN_WILDCARD` Supported pattern types
`static String` | `S2`
`static String` | `TILES_DEFAULT_PATTERN` Default pattern to be used to collect Tiles definitions if user didn't configure any

Fields inherited from class org.apache.tiles.factory.BasicTilesContainerFactory
`DEFINITION_RENDERER_NAME, STRING_RENDERER_NAME, TEMPLATE_RENDERER_NAME`

Fields inherited from class org.apache.tiles.factory.AbstractTilesContainerFactory
`CONTAINER_FACTORY_INIT_PARAM`

Constructor Summary
`StrutsTilesContainerFactory()`

Method Summary
`protected org.apache.tiles.evaluator.AttributeEvaluatorFactory` | `createAttributeEvaluatorFactory(org.apache.tiles.TilesApplicationContext applicationContext, org.apache.tiles.context.TilesRequestContextFactory contextFactory, org.apache.tiles.locale.LocaleResolver resolver)`
`protected org.apache.tiles.renderer.AttributeRenderer` | `createDefaultAttributeRenderer(org.apache.tiles.renderer.impl.BasicRendererFactory rendererFactory, org.apache.tiles.TilesApplicationContext applicationContext, org.apache.tiles.context.TilesRequestContextFactory contextFactory, org.apache.tiles.TilesContainer container, org.apache.tiles.evaluator.AttributeEvaluatorFactory attributeEvaluatorFactory)`
`protected org.apache.tiles.el.ELAttributeEvaluator` | `createELEvaluator(org.apache.tiles.TilesApplicationContext applicationContext)`
`protected I18NAttributeEvaluator` | `createI18NEvaluator()`
`protected org.apache.tiles.ognl.OGNLAttributeEvaluator` | `createOGNLEvaluator()`
`protected
`<T> org.apache.tiles.definition.pattern.PatternDefinitionResolver<T>`
` | `createPatternDefinitionResolver(Class<T> customizationKeyClass)`
`protected StrutsAttributeEvaluator` | `createStrutsEvaluator()`
`protected List<URL>` | `getSourceURLs(org.apache.tiles.TilesApplicationContext applicationContext, org.apache.tiles.context.TilesRequestContextFactory contextFactory)`
`protected Set<String>` | `getTilesDefinitions(Map<String,String> params)`
`protected List<org.apache.tiles.context.TilesRequestContextFactory>` | `getTilesRequestContextFactoriesToBeChained(org.apache.tiles.context.ChainedTilesRequestContextFactory parent)`
`protected org.apache.tiles.impl.BasicTilesContainer` | `instantiateContainer(org.apache.tiles.TilesApplicationContext applicationContext)`
`protected void` | `registerAttributeRenderers(org.apache.tiles.renderer.impl.BasicRendererFactory rendererFactory, org.apache.tiles.TilesApplicationContext applicationContext, org.apache.tiles.context.TilesRequestContextFactory contextFactory, org.apache.tiles.TilesContainer container, org.apache.tiles.evaluator.AttributeEvaluatorFactory attributeEvaluatorFactory)`

Methods inherited from class org.apache.tiles.factory.BasicTilesContainerFactory
`createContainer, createDefinitionAttributeRenderer, createDefinitionsFactory, createDefinitionsReader, createLocaleDefinitionDao, createLocaleResolver, createPreparerFactory, createRendererFactory, createRequestContextFactory, createStringAttributeRenderer, createTemplateAttributeRenderer, instantiateDefinitionsFactory, instantiateLocaleDefinitionDao, registerChainedRequestContextFactories, registerRequestContextFactory`

Methods inherited from class org.apache.tiles.factory.AbstractTilesContainerFactory
`getTilesContainerFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FREEMARKER_RENDERER_NAME

    public static final String FREEMARKER_RENDERER_NAME

  The freemarker renderer name.

  See Also:
    Constant Field Values

### PATTERN_WILDCARD

    public static final String PATTERN_WILDCARD

  Supported pattern types

  See Also:
    Constant Field Values

### PATTERN_REGEXP

    public static final String PATTERN_REGEXP

See Also:
  Constant Field Values

### TILES_DEFAULT_PATTERN

    public static final String TILES_DEFAULT_PATTERN

  Default pattern to be used to collect Tiles definitions if user didn't configure any

  See Also:
    Constant Field Values

### OGNL

    public static final String OGNL

  Supported expression languages

  See Also:
    Constant Field Values

### EL

    public static final String EL

See Also:
  Constant Field Values

### S2

    public static final String S2

See Also:
  Constant Field Values

### I18N

    public static final String I18N

See Also:
  Constant Field Values

Constructor Detail

### StrutsTilesContainerFactory

    public StrutsTilesContainerFactory()

Method Detail

### instantiateContainer

    protected org.apache.tiles.impl.BasicTilesContainer instantiateContainer(org.apache.tiles.TilesApplicationContext applicationContext)

  Overrides:
    `instantiateContainer` in class `org.apache.tiles.factory.BasicTilesContainerFactory`

### getTilesRequestContextFactoriesToBeChained

    protected List<org.apache.tiles.context.TilesRequestContextFactory> getTilesRequestContextFactoriesToBeChained(org.apache.tiles.context.ChainedTilesRequestContextFactory parent)

  Overrides:
    `getTilesRequestContextFactoriesToBeChained` in class `org.apache.tiles.factory.BasicTilesContainerFactory`

### registerAttributeRenderers

    protected void registerAttributeRenderers(org.apache.tiles.renderer.impl.BasicRendererFactory rendererFactory,
                                              org.apache.tiles.TilesApplicationContext applicationContext,
                                              org.apache.tiles.context.TilesRequestContextFactory contextFactory,
                                              org.apache.tiles.TilesContainer container,
                                              org.apache.tiles.evaluator.AttributeEvaluatorFactory attributeEvaluatorFactory)

  Overrides:
    `registerAttributeRenderers` in class `org.apache.tiles.factory.BasicTilesContainerFactory`

### createDefaultAttributeRenderer

    protected org.apache.tiles.renderer.AttributeRenderer createDefaultAttributeRenderer(org.apache.tiles.renderer.impl.BasicRendererFactory rendererFactory,
                                                                                         org.apache.tiles.TilesApplicationContext applicationContext,
                                                                                         org.apache.tiles.context.TilesRequestContextFactory contextFactory,
                                                                                         org.apache.tiles.TilesContainer container,
                                                                                         org.apache.tiles.evaluator.AttributeEvaluatorFactory attributeEvaluatorFactory)

  Overrides:
    `createDefaultAttributeRenderer` in class `org.apache.tiles.factory.BasicTilesContainerFactory`

### createAttributeEvaluatorFactory

    protected org.apache.tiles.evaluator.AttributeEvaluatorFactory createAttributeEvaluatorFactory(org.apache.tiles.TilesApplicationContext applicationContext,
                                                                                                   org.apache.tiles.context.TilesRequestContextFactory contextFactory,
                                                                                                   org.apache.tiles.locale.LocaleResolver resolver)

  Overrides:
    `createAttributeEvaluatorFactory` in class `org.apache.tiles.factory.BasicTilesContainerFactory`

### createPatternDefinitionResolver

    protected <T> org.apache.tiles.definition.pattern.PatternDefinitionResolver<T> createPatternDefinitionResolver(Class<T> customizationKeyClass)

  Overrides:
    `createPatternDefinitionResolver` in class `org.apache.tiles.factory.BasicTilesContainerFactory`

### getSourceURLs

    protected List<URL> getSourceURLs(org.apache.tiles.TilesApplicationContext applicationContext,
                                      org.apache.tiles.context.TilesRequestContextFactory contextFactory)

  Overrides:
    `getSourceURLs` in class `org.apache.tiles.factory.BasicTilesContainerFactory`

### getTilesDefinitions

    protected Set<String> getTilesDefinitions(Map<String,String> params)

### createELEvaluator

    protected org.apache.tiles.el.ELAttributeEvaluator createELEvaluator(org.apache.tiles.TilesApplicationContext applicationContext)

### createStrutsEvaluator

    protected StrutsAttributeEvaluator createStrutsEvaluator()

### createI18NEvaluator

    protected I18NAttributeEvaluator createI18NEvaluator()

### createOGNLEvaluator

    protected org.apache.tiles.ognl.OGNLAttributeEvaluator createOGNLEvaluator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.